Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Concept

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer
                        |
                        +--biouml.standard.type.Concept

Direct Known Subclasses:
  Compartment, DiagramReference, Function, Molecule, Process, State

public class Concept
extends Referrer

Constructor Summary
`Concept(DataCollection origin, String name)`

Method Summary
`String` | `getCompleteName()`
`String` | `getSynonyms()`
`String` | `getType()`
`void` | `setCompleteName(String completeName)`
`void` | `setSynonyms(String synonyms)`
`void` | `setType(String type)`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### Concept

    public Concept(DataCollection origin, String name)

Method Detail

### getCompleteName

    public String getCompleteName()

### getSynonyms

    public String getSynonyms()

### getType

    public String getType()

### setCompleteName

    public void setCompleteName(String completeName)

### setSynonyms

    public void setSynonyms(String synonyms)

### setType

    public void setType(String type)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM